/*
 * messages.h
 *
 *  Created on: 21.05.2017
 *      Author: holger
 */

#ifndef MESSAGES_H_
#define MESSAGES_H_

#include "MarlinHOH.h"
#include "language.h"

#define ERRORMAGIC  "Error:"
#define ECHOMAGIC 	"echo:"

class messages
{
public:
	messages();
	virtual ~messages();

	virtual void message(const char *str) {};
	virtual void message(char *str) {};
	virtual void f_message (const char* formatstr, ...) {};

	virtual void error () {message(PSTR(ERRORMAGIC));};
	virtual void error(const char *str) {message(PSTR(ERRORMAGIC));message(str);};
	virtual void error_ln(const char *str) {message(PSTR(ERRORMAGIC));message(str); message PSTR("\n");};

	virtual void echo () {message(PSTR(ECHOMAGIC));};
	virtual void echo(const char *str) {message(PSTR(ECHOMAGIC));message(str);};
	virtual void echo_ln(const char *str) {message(PSTR(ECHOMAGIC));message(str); message PSTR("\n");};

	bool Set_Language (languages toung);
	PGM_P *message_list_int;

};

extern PGM_P *message_language[];
extern PGM_P language_list[];

#endif /* MESSAGES_H_ */
